*** Checkout for WooCommerce Changelog ***

2026-07-22 - version 11.3.0
* Feature - Side Cart: the free shipping progress bar now supports up to three stacked "spend-to-unlock" tiers, each with its own reward, messages, and color
* Feature - Side Cart: exclude products in selected shipping classes from the free shipping progress bar calculation
* Feature - Side Cart: a "free gift" reward tier automatically adds a chosen product to the cart free when its threshold is reached, and removes it if the cart drops back below
* Feature - Side Cart: upload a custom image to show in the empty side cart
* Tweak - Side Cart: warn in the settings when a free shipping reward tier has no matching WooCommerce Free Shipping method, or its threshold does not match the method's minimum, with a link to shipping settings
* Fix - Checkout Slots: the "After Billing Address" slot now shows on digital / no-shipping checkouts, where it follows the billing address onto the information step; shipping-only slots are flagged in the editor so their absence on those checkouts is expected
* Fix - Order bump plan limit no longer counts or blocks A/B test variants — a bump with a running A/B test counts as one bump toward your plan's limit, and variants can still be published even when you're at your bump limit
* Fix - A/B testing is now correctly restricted to Pro and Agency plans — lower plans can no longer create tests (and any that were created never ran on checkout), and order bumps are no longer left locked in the Checkout Editor on those plans

2026-07-14 - version 11.2.0
* Feature - Checkout Slots: place order bumps, trust badges, review badges, headings, and custom HTML into named positions across the checkout from the Checkout Editor, with drag-to-reorder and per-item spacing
* Tweak - Trust badges can now be placed individually per badge, and review badges positioned on their own, instead of sharing one global location
* Tweak - Existing order bump display locations and trust badge placement migrate automatically into Checkout Slots on update — after updating, review your order bumps and trust badges on the checkout to confirm their placement
* Tweak - Show the customer phone number in the Abandoned Cart Recovery report
* Fix - Abandoned Cart Recovery no longer garbles customer names and phone numbers when restoring a recovered cart
* Fix - Glass template's selected shipping and payment method highlight color can now be changed from the editor (Colors > Misc)
* Fix - Glass template breadcrumb colors (completed, current and next step text, and the current step accent) now follow the editor's Breadcrumb color settings instead of being locked to the button color
* Fix - The "Accent Color" control (Colors > Misc) no longer appears in the editor for templates that don't use it
* Fix - Suppress PHP warnings during SmartyStreets address validation when optional address line 2 or company fields are empty
* Fix - A privacy policy or terms & conditions page built with a page builder (e.g. Avada) no longer collapses the checkout to a single column with no order summary
* Fix - Glass template footer no longer overlaps the terms and privacy policy modals
* Fix - Google Address Autocomplete no longer drops apartment/unit numbers or house-number additions (e.g. NL "5-3", US "Ste 205") when selecting a suggested address
* Fix - Checkout no longer fatals on PHP 8 when a shipping extension gives shipping packages string keys
* Dev - Removed the cfw_trust_badges_output_action filter — trust badge placement is now managed by Checkout Slots - sites that repositioned badges via this filter should set the position in the Checkout Editor's Slots panel instead
* Dev - Order bump and trust/review badge output is now registered dynamically by Checkout Slots. Snippets that used remove_action() against the old fixed hook/priority pairs (e.g. cfw_checkout_cart_summary priority 41) no longer have any effect - placement is controlled from the Checkout Editor
* Dev - Slot output is wrapped in a cfw-slot-wrap div - custom CSS or JS that targeted order bumps or badges by their previous position in the DOM may need updating

2026-07-02 - version 11.1.4
* Fix - Checkout could submit an empty country on single-country stores, blocking orders with "Please enter an address to continue" on some browsers
* Fix - Local pickup orders no longer trigger shipping field validation errors during Apple Pay express checkout with Payment Plugins for Stripe
* Fix - Shipping address fields no longer reappear after a checkout update when local pickup is selected
* Fix - Preserve custom order-received page content when CheckoutWC isn't taking over
* Fix - Klaviyo newsletter and SMS consent checkboxes now honor their pre-checked default at checkout, matching standard WooCommerce
* Fix - Local pickup review pane now shows the configured pickup option label instead of a hardcoded "Pick up in store"

2026-06-29 - version 11.1.3
* Tweak - Open the privacy policy link in a modal at checkout, matching the existing Terms and Conditions behavior
* Tweak - Show A/B Testing as a locked premium menu entry in the Lite version
* Fix - Prevent the client-side error logger from endlessly retrying when its own logging request fails
* Fix - Prevent the bundled updater from resetting the WordPress plugin update timer, which could stall update checks with persistent object caches
* Fix - Translate checkout field labels and placeholders even when the WooCommerce language pack is not installed on the site
* Fix - Admin header tab menus breaking when the admin language uses a non-Latin alphabet
* Fix - Prevent advancing past the address step with an empty address when Fetchify address autocomplete is enabled
* Fix - Google Address Autocomplete could fill the city field with the province instead of the town for some Italian addresses
* Fix - Prevent WooCommerce Subscriptions from emptying the cart when changing a subscription variation at checkout with Mixed Checkout disabled
* Fix - Exclude products hidden from the catalog from the side cart suggested products carousel
* Fix - Show the remove link for applied coupons in the side cart
* Fix - Make the "View Product" label in the side cart suggested products carousel translatable
* Fix - Order Bumps category search now returns up to 100 matching categories instead of the first 10
* Fix - License verification notice no longer appears after a brief connection issue, clears itself once resolved, and can be dismissed
* Fix - Duplicate "Method" row on the order review step when local pickup is selected
* Fix - Shipping country dropdown showed all countries instead of the configured shipping countries after switching from local pickup to ship
* Fix - "Create account" checkbox no longer re-checks itself after a guest unticks it and reloads the checkout or edits their email
* Fix - Scrollbar appearing on the Apple Pay, Google Pay, and Link order buttons with Payment Plugins for Stripe

2026-06-12 - version 11.1.2
* Fix - Prevent the cart item remove button from overlapping the item price when pricing details are tall
* Fix - Fatal error on PHP 7.4 ("Interface 'Stringable' not found") caused by bundled polyfills no longer registering global PHP 8 symbols

2026-06-08 - version 11.1.1
* Fix - Klaviyo checkout compatibility for recent releases that renamed mobile consent field hooks
* Fix - Local pickup orders could trigger shipping field validation errors during PayPal Checkout and other AJAX-based payment flows
* Fix - Fatal error that could occur when WooCommerce Subscriptions mixed cart feature was disabled, preventing infinite recursion during add-to-cart processing
* Fix - Order bump upsell modals could fail to load when WooCommerce Min/Max Quantities plugin active, preventing upsell offers from being displayed
* Fix - iOS Safari/Chrome issue where checkout validation errors may not scroll into view

2026-05-13 - version 11.1.0
* Feature - Checkout Editor: a new full-screen visual editor accessible from the WordPress admin menu, with a live preview, sidebar settings panels, save/publish indicator, template switching, and discard changes support
* Tweak - Color pickers — Replaced the always-expanded color picker throughout CheckoutWC admin with a compact swatch button that opens a popover with the full picker + a hex input field
* Tweak - Start Here page — Streamlined setup wizard: collapsed the 5-step flow into 3 steps by replacing "Pick a Template" + "Customize Logo and Colors" + "Review Checkout" with a single "Customize Checkout" step that links to the Checkout Editor
* Tweak - Abandoned Cart Recovery — Editor preview AJAX requests are excluded from ACR tracking
* Fix - Admin Media Upload Button — Fixed image preview not persisting when switching sections inside the editor, added hideLabel prop, improved handling of cleared values and default URLs
* Fix - Copify template — Fixed footer text color not being applied via CSS variable
* Fix - Groove template — Fixed summary text and corrected missing defaults
* Fix - Side Cart — Fixed PHP 8.4 deprecation notices by adding nullable type hints (?array) to three Side Cart free-shipping methods that accept optional array parameters
* Fix - Fixed order bump cart total quantity rule incorrectly including the bump's own product quantity in the count, which caused discounts to be stripped on accept
* Fix - Fixed order bump cart emptying when "Use as Upsell" and "Match Offer Product Quantity" were both enabled simultaneously

2026-04-13 - version 11.0.8
* Tweak - Limit "Hide shipping costs until an address is entered" to recommended configuration, as it alters session packages which can impact checkout stability
* Tweak - Updated wc_get_orders calls to prevent deprecation warnings in WooCommerce 9.2.0+ on non-HPOS (CPT) stores by conditionally adjusting query arguments based on HPOS availability
* Fix - Fix email and password labels on the order payment form to ensure they are translatable
* Fix - Fix Klaviyo for WooCommerce may display duplicate newsletter and SMS consent checkboxes during checkout
* Fix - Fix Abandoned Cart Recovery report not loading for certain store and plan configurations
* Fix - Harden A/B test save handler to prevent PHP errors when $post is missing or invalid
* Accessibility - Improve checkout accessibility by adding visible focus-visible rings to buttons, checkboxes, and radios, and prevent the Complete Order button focus ring from being clipped
* Localization - Added Catalan (ca) translations
* Dev - Add cfw_update_billing_email_field filter to allow customization of the modified billing email field config

2026-03-27 - version 11.0.7
* Fix - Prevent email addresses from being entered in first name, last name, and full name fields to ensure payment gateway compatibility
* Fix - Fix an issue where the abandoned cart recovery report may fail to load
* Accessibility - Add href and aria-label fallbacks to order review change links to improve accessibility
* Dev - Add cfw_enable_accessibility_improvements filter hook: In an upcoming release, we are updating the HTML output of CheckoutWC to improve screen reader support, keyboard navigation, and semantic correctness. You can opt in early by enabling the new filter. We recommend testing with your current theme or customizations so the transition is seamless

2026-03-11 - version 11.0.6
* Feature - Order Bump Rules: Added "Cart Subtotal After Discounts" condition
* Tweak - Removed unnecessary Pending Offers admin notice
* Fix - Fix express payment buttons not appearing in some configurations
* Fix - Fix shipping methods heading showing when no methods are available
* Fix - Fix select field arrow position with normal label style
* Fix - Fix Astra compatibility CSS for non-floated label checkouts
* Fix - Add compatibility for German Market plugin on order pay page
* Fix - Fix Abandoned Cart Recovery API loading when feature is not enabled
* Accessibility - Screen reader support with semantic headings and step announcements when navigating checkout tabs
* Accessibility - "Change" links in order review pane now have descriptive aria-labels (e.g., "Change shipping method")
* Accessibility - Remove item button now includes product name in aria-label
* Accessibility - Required field asterisk display is now consistent across label styles
* Dev - Updated dependencies for security and performance

2026-02-27 - version 11.0.5
* Tweak - Add cart data support for Conversion Bridge tracking
* Fix - Fix WPML/Polylang language not applied to Abandoned Cart Recovery emails
* Fix - Fix PHP error in variation form modal with third-party product gallery filters
* Fix - Fix license action notices being hidden on settings pages
* Fix - Fix compatibility issue with BeTheme editor causing fatal error
* Fix - Fix TWINT payment modal being hidden on checkout
* Fix - Fix mobile menu not opening with Astra theme in some configurations
* Fix - Fix various Astra theme styling issues with checkout
* Fix - Fix express buttons gap with Payment Plugins for PayPal
* Localization - Fix incorrect Swedish translations

2026-02-06 - version 11.0.4
* Feature - Added support for [Reviewbird](https://reviewbird.com/); when enabled, Trust Badge review sync pulls reviews from Reviewbird instead of WooCommerce
* Tweak - Reduced debounce delay for AJAX updates on checkout
* Tweak - Add support for Order Delivery for WooCommerce v4
* Tweak - A few performance improvements for the side cart to prevent loading checkout-specific data outside of checkout context
* Fix - Fix issue where Side Cart opened in Elementor Pro editor on publish
* Fix - Fix how missing gravatar is handled for review trust badges
* Fix - Fix suggested carousel rendering glitch with new View Product option
* Fix - Fix translation loading triggered too early warning in WordPress 6.7+
* Fix - Fix deprecation notice
* Fix - Fix styling issue with express button spacing
* Dev - Remove superfluous debug logging
* Dev - Updated dependencies for security and performance

2026-01-23 - version 11.0.3
* Fix - Fix issue with changing variation in cart with subscription products
* Fix - Fix styling of trust badges by adding min-width to trust badge images
* Fix - Fix shipping progress bar ignoring free shipping class products
* Fix - Add DACH unit designator support for address autocomplete
* Fix - Fix ab testing permissions issue
* Fix - Fix upsell captured revenue calculation
* Fix - Fix translation loading triggered too early warning in WordPress 6.7+
* Fix - Fix deprecation notice
* Dev - Updated dependencies for security and performance

2026-01-16 - version 11.0.2
* Fix - Fix CSS issue with latest Payment Plugins Stripe and Apple Pay button
* Fix - Fix suggested products slider CSS bug
* Fix - Fix update loop

2026-01-14 - version 11.0.1
* Tweak - Add option to link Side Cart suggested products to product page
* Fix - Fix null cart error during subscription renewal payments
* Fix - Add larger dedicated image size for Order Bumps (320px)
* Fix - Fix Side Cart styling for RTL languages
* Fix - Fix Side Cart glitch with Elementor editor
* Fix - Add regex pattern for DACH address subpremise format
* Fix - Show T&C validation errors inline next to checkbox
* Fix - Prevent order bump quantity multiplication on auto-add
* Dev - Updated dependencies for security and performance

2026-01-07 - version 11.0.0
* Feature - A/B Testing for Order Bumps: Create variants of Order Bumps and test them against each other with configurable traffic splits, automatic winner detection, and analytics
* Feature - Post Purchase One-Click Order Bumps: Display Order Bump offers on the thank you page after checkout with seamless one-click purchasing that doesn't require customers to re-enter payment details
* Fix - Fix issue with Divi 5 breaking when Side Cart is enabled
* Fix - Fix using global variations to target Order Bumps causes a fatal error
* Fix - Fix PHP 8.4 deprecation notices
* Dev - Updated dependencies for security and performance

2025-12-10 - version 10.3.10
* Fix - Fix issue with WooCommerce Stripe (Official) that prevented express checkout buttons from displaying
* Dev - Type safety tweak

2025-12-08 - version 10.3.9
* Fix - Fix shipping phone field not saving to customer
* Fix - Fix issue with Payment Plugins Stripe Google Pay button styling
* Fix - Fix fatal error with recording upsell purchases
* Fix - Fix JS error in console
* Localization - Fix incorrect Dutch translation
* Dev - Update tested versions
* Dev - Add guards to prevent undefined key access
* Dev - Add cfw_reload_checkout filter

2025-11-26 - version 10.3.8
* Localization - Fix incorrect Polish translations
* Dev - Update dependencies for security and performance

2025-11-19 - version 10.3.7
* Fix - Fix license issues when license server is down (Thanks Maxime!)
* Fix - When shipping total is 0 and local pickup is enabled, hide Side Cart total line item and display shipping calculated at checkout notice
* Fix - Fix glitch with Fetchify address complete that caused address fields to not be hidden correctly
* Fix - Fix bug that prevented bump rules from counting other bumps in cart when evaluating cart conditions
* Fix - Fix styling issue with Payment Plugins Stripe express buttons on mobile
* Fix - Fix bug that allowed pickup location to show up on virtual order
* Fix - Fix various RTL issues
* Localization - Add translations for terms and conditions modal title

2025-11-07 - version 10.3.6
* Fix - Fix issue with side cart shipping total when Local Pickup enabled. Forces "Shipping costs calculated at checkout" message to appear when Local Pickup is enabled. Also hides the Total line as this item cannot be accurate without full subtotals

2025-10-31 - version 10.3.5
* Fix - Fix compatibility issue with Timewise gateway
* Fix - Fix potential fatal error when profiler active
* Fix - Fix potential fatal error with user matching feature. Also added more logging and switched to Action Scheduler from cron
* Fix - Fix bug that prevented free version billing address field settings from applying

2025-10-17 - version 10.3.4
* Fix - Fix potential fatal error with Order Bumps and price type mismatch
* Fix - Fix error message in browser console that is not a real error
* Dev - Update dependencies for security and performance

2025-10-07 - version 10.3.3
* Fix - Fix issue with Local Pickup feature that prevented local pickup from being available in some circumstances

2025-10-02 - version 10.3.2
* Tweak - Added global product attributes to the Display Condition rules for Trust Badges and Order Bumps
* Fix - Fix styling bug with Order Bump images on small mobile devices
* Fix - Fix issue with variation editing that caused the wrong price to be displayed for the chosen variation
* Dev - Updated dependencies for security and compatibility

2025-09-29 - version 10.3.1
* Fix - Fix bug that prevented Abandoned Cart emails from being marked as lost
* Fix - Fix PHP warning
* Dev - Update dependencies for security

2025-09-25 - version 10.3.0
* Feature - WooCommerce Reviews Trust Badges: Automatically display WooCommerce product reviews as trust badges (Pro+ feature)
* Tweak - Enhanced local pickup functionality and method detection
* Tweak - Added automatic pickup location info on order emails
* Tweak - Allow re-adding previously removed automatic order bumps via filter
* Fix - Fixed fatal error in Braintree compatibility class with wrong namespace
* Fix - Fixed Order Bumps pricing problem with hardcoded prices with WooCommerce Multi-Currency compatibility
* Fix - Fixed Order Bump upsell functionality that was preventing upsells from working properly
* Fix - Fixed free shipping progress bar displaying $0 amount when no shipping method matched
* Fix - Fixed null value checks in free shipping progress bar to prevent JavaScript errors
* Dev - Updated dependencies for security and compatibility

2025-09-11 - version 10.2.7
* Tweak - Order Bumps can now be shown even when the offer product is in the cart if an explicit rule exists for that product
* Tweak - Added compatibility with Quantity Discounts & Pricing for WooCommerce plugin
* Tweak - Updated wording of enter address message depending on context (checkout vs side cart)
* Fix - Fix for broken shipping method selection for subscriptions
* Fix - Trust badges now display properly when configured with only an image (no title required)
* Fix - Fixed error when adding display rules to trust badges before saving them
* Fix - Trust badge placeholder images no longer appear on the frontend
* Fix - Unsaved changes warning now appears when modifying trust badges
* Fix - Customer History rules now clearly indicate "Days Since" instead of "Time Since"
* Fix - Fixed bug that caused "Free!" to show up when hide shipping costs until address entered was enabled
* Fix - Fixed bug with order pay and login message for Groove, Glass, and Copify themes
* Fix - Fixed incorrect array offset access warnings

2025-08-29 - version 10.2.6
* Fix - Fix potential privacy issue with ACR cart recovery links using numeric IDs. Existing links will work for carts with the status abandoned, but new carts require a unique hash based on email / cart contents
* Fix - Remove unnecessary cart fragment replacement messages that did not indicate an actual error

2025-08-22 - version 10.2.5
* Fix - Fix issue with WooCommerce Subscriptions 7.8 outputting irrelevant notice on checkout page

2025-08-21 - version 10.2.4
* Fix - Fix potential type error when suggested products carousel is limited to 1 product
* Fix - Fix issue with displaying shipping total before an address is entered
* Fix - Fix issue with empty cart message that was removed from WooCommerce

2025-08-18 - version 10.2.3
* Fix - Fix double turnstile verification when using registration and checkout validation at the same time that led to failed verifications
* Fix - Fix translation too early warnings
* Localization - Fix missing translations for a couple of admin buttons

2025-08-15 - version 10.2.2
* Tweak - Abandoned Cart Recovery link UTM changed from "CheckoutWC ACR" to "CheckoutWC_ACR"
* Fix - Fix incompatibility with block add to cart button / interactivity API
* Fix - Fix issue with Advanced Coupons not applying on add to cart
* Fix - Fix issue with Order Bumps set to "Remove Item From Cart" not removing when conditions become invalid
* Fix - Fix issue with Cloudflare Turnstile styling

2025-08-13 - version 10.2.1
* Fix - Fix issue that caused the Turnstile notice to show up after dismissal
* Fix - When Turnstile feature is not available, show a nice message about how to remedy this
* Fix - Change wording of the feature notice when the user doesn't have the required plan

2025-08-12 - version 10.2.0
* Feature - Added Cloudflare Turnstile integration for bot protection (Pro)
* Feature - Dynamic trust badges feature - trust badges are now loaded dynamically at checkout based on cart contents and rules
* Feature - Terms and conditions now open in a modal for better user experience
* Feature - Added unsaved changes notice on settings pages
* Feature - Added footer save button to settings pages for easier access
* Tweak - Hide admin bar setting now refreshes the page when changed for immediate effect
* Fix - Fixed shipping calculation issue with WooCommerce 9.8.2+ that caused the wrong message to be displayed for some carts
* Fix - Fixed bundle product display issues with WP Clever Product Bundles
* Fix - Fixed client side logger bugs
* Fix - Fixed Advanced Coupons compatibility issue
* Localization - Admin settings pages now have translations
* Localization - Fix incorrect Norwegian translation of promo code text
* Dev - Updated dependencies

2025-07-18 - version 10.1.17
* Fix - Enable enter key on login modal
* Fix - Fix filter callback that broke Brazilian Market integration
* Fix - Fix fatal error with Braintree integration and new version
* Fix - Fix PHP warnings from incompletely configured Order Bump rules
* Localization - Add missing Parsley field validation locales
* Dev - Update outdated dependencies

2025-07-10 - version 10.1.16
* Fix - Fix broken translations in WordPress 6.8
* Dev - Apply cfw_show_free_shipping_progress_bar_without_calculated_packages filter on checkout page
* Dev - Added new filter for Google Fonts configuration: cfw_google_font_configurations
* Dev - Added new filter for Google Fonts display parameter: cfw_google_font_display

2025-07-09 - version 10.1.15
* Fix - Removed unused script enqueues on admin settings pages
* Dev - Updated dependencies
* Dev - Removed WooCommerce Action Scheduler dependency - we will rely on the one in WooCommerce core

2025-07-02 - version 10.1.14
* Fix - Fix issue with WooCommerce Gift Cards and use gift card balance checkbox
* Fix - Fix cart breadcrumb appearing with skip cart step is enabled
* Fix - Allow free shipping progress bar to be shown when cart does not have calculated shipping (requires cfw_show_free_shipping_progress_bar_without_calculated_packages filter)
* Localization - Added de_CH translations
* Dev - Added new cfw_form_field_suppress_optional_in_placeholder filter
* Dev - Deprecated cfw_form_field_append_optional_to_placeholder filter
* Dev - Added cfw_show_free_shipping_progress_bar_without_calculated_packages filter

2025-06-26 - version 10.1.13
* Fix - Fix CSS issue with Stripe Link button
* Fix - Fix issue with Smarty Address Validation when address fails to validate with no suggested alternative
* Dev - Cleaned up PHP warnings

2025-06-06 - version 10.1.12
* Fix - Fix race condition with React rendered action hooks and scripts listening to updated_checkout event
* Fix - Fix issue with remove item button appearing when it should not

2025-06-05 - version 10.1.11
* Fix - Handle failed logo import errors more gracefully during settings import
* Fix - Fix field style label CSS issue
* Fix - Fix caching issues by setting cfw_cart_hash less frequently
* Fix - Fix issue where gateway detected the block checkout when CheckoutWC was active
* Fix - Fix missing container class for billing fields when forced to different billing address
* Fix - Fix issue with toggling accordions programmatically

2025-05-27 - version 10.1.10
* Fix - Fix issue with ship-to-different-address checkbox that caused issues with shipping/billing address
* Dev - Fix PHP warnings

2025-05-13 - version 10.1.8
* Fix - Fix missing capabilities for migrated installations

2025-05-07 - version 10.1.7
* Tweak - Handle forced billing address as shipping address scenario with ship-to-different-address-checkbox
* Fix - Fix issue with YITH Delivery Dates pickup times select refresh
* Fix - Fix issue that prevented usernames for login
* Fix - Fix potential JS error with totals on the side cart and checkout
* Fix - Fix hide coupon behind link setting for checkout
* Fix - Disable conflicting tailwind container class
* Fix - Exclude terms and conditions checkbox from field persistence
* Fix - Refactor payment request / express checkout button styling to fix multiple issues
* Fix - Fix design link in Start Here
* Fix - Fix potential JS error on trust badges settings page
* Dev - Allow itemized shipping costs with cfw_totals_itemize_shipping_costs filter

2025-04-14 - version 10.1.6
 * Fix - Fix fatal error for users who downgrade from CheckoutWC premium to Lite from an older version of premium

...
